Xapian::ExpandDeciderFilterPrefix Class Reference

ExpandDecider subclass which restrict terms to a particular prefix. More...

Inheritance diagram for Xapian::ExpandDeciderFilterPrefix:
[legend]

## Public Member Functions

| ExpandDeciderFilterPrefix (const std::string &prefix_)
| The parameter specify the prefix of terms to be retained. More...
virtual bool | operator() (const std::string &term) const
| Do we want this term in the ESet? More...
Public Member Functions inherited from Xapian::ExpandDecider
| ExpandDecider ()
| Default constructor.
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods.
ExpandDecider * | release ()
| Start reference counting this object. More...
const ExpandDecider * | release () const
| Start reference counting this object. More...

## Detailed Description

ExpandDecider subclass which restrict terms to a particular prefix.

ExpandDeciderFilterPrefix provides an easy way to choose terms with a particular prefix when generating an ESet.

## Constructor & Destructor Documentation

## ExpandDeciderFilterPrefix()

Xapian::ExpandDeciderFilterPrefix::ExpandDeciderFilterPrefix | ( | const std::string & | prefix_ | ) |

inline explicit

The parameter specify the prefix of terms to be retained.

Parameters

  prefix_ | restrict terms to the particular prefix_

## Member Function Documentation

## operator()()

virtual bool Xapian::ExpandDeciderFilterPrefix::operator() | ( | const std::string & | term | ) | const

virtual

Do we want this term in the ESet?

Parameters

  term | The term to test.

Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h